[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.CanEdit

Returns True if the specified tree node can be edited.

## Declaration

Source position: comctrls.pp line 3566

`protected function TCustomTreeView.CanEdit(`
`Node: TTreeNode`
`):Boolean; virtual;`

## Arguments

`Node` |  | Tree node examined in the method.

## Function result

True if the specified tree node can modify its property values.

## Description

CanEdit is a Boolean function used to determine if the tree node in Node can be edited. CanEdit signals the OnEditing event handler (when assigned) to determine if the TTreeNode instance can be modified.

The return value is updated in the event handler, and can be set to True if the tree view control is not configured to be read-only and the tree node is eligible for modification. Use the Options property in the tree view control to check for the read-only setting. The return value is always True if the OnEditing event handler has not been assigned.